Subject: Re: [Roadsters] Sad News - Scott Higashi

From: John F Sandhoff <[email-masked]>
Date: Wed, 4 Jun 2014 10:26:53 -0700

It was reported:
> Yesterday I got some sad news.  Scott Higashi a long time member of the 
> Datsun/Nissan Community passed away after a prolonged bout with cancer.   
>
> People attending the Shasta meet and other Datsun events will
> remember Scott and  his Sentra SE-R.

Oh, no. That is truly sad.
Oddly enough, I was thinking about Scott just the other day. Who
remembers his earlier days with his Roadster and the lawn chair? :-)

Scott was actually instrumental in my getting my Roadster running.
Long, long, long ago I met him when we were both on jury duty. He
clued me in to the Roadster mailing list, which led me to the parts and
pieces I needed to turn a project car into a daily driver.

I sadly haven't been in touch with Scott for years. Was he still in the
Sacramento area? Any word on services?

-- John
     John F Sandhoff   [email-masked]   Sacramento, CA
________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/datsun-roadsters/[email-masked]